LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07436Feature requests[All Projects] Conditionspublic2010-09-08 03:482014-10-22 19:32
Reportersociolog 
Assigned Tomfaber 
PrioritynormalSeverityfeature 
StatusclosedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary07436: Conditions for subquestions
DescriptionSometimes when there is an array question containing an n-point scale with multiple subquestions, some of the subquestions need to be filtered out (e.g. if it is a scale of satisfaction with health, family, friends and job, if the respondent does not have a job then the "satisfaction with job" subquestion should not appear).
There is currently the option of "array filter" to synchronize a multiple answer type question with an array, but sometimes that is not enough, especially when only a few subquestions actually need filtering (e.g. in the previous example, there is no point to ask if the respondent has a family, friends or health, but it is necessary to ask if he/she has a job).
Therefore, it would be useful to include in the "conditions" tab the possibility of applying conditions not only to questions, but to subquestions.
Additional InformationA possible solution: apply the same rationale used to filter questions to filtering subquestions
I am not a programmer so I am not sure how to implement this, but if conditioning can be applied to questions, than why not to subquestions?
Tagsarray, condition, subquestion
Attached Files

- Relationships
duplicate of 08757resolvedmfaber Development  Support sub-question level relevance 
has duplicate 07595closedmfaber Feature requests Hiding subquestions 

-  Notes
There are no notes attached to this issue.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: user1, DenisChenu, gwj, yoursql719, kachne, sociolog, gjaouen, mfaber, Loktar
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-06-18 09:10 yoursql719 Tag Attached: array
2013-06-18 09:10 yoursql719 Tag Attached: condition
2013-06-18 09:10 yoursql719 Tag Attached: subquestion
2013-11-05 19:03 DenisChenu Relationship added has duplicate 07595
2014-02-26 07:27 mfaber Relationship added related to 08757
2014-10-22 18:43 mfaber Relationship deleted related to 08757
2014-10-22 18:43 mfaber Relationship added duplicate of 08757
2014-10-22 19:32 DenisChenu Status acknowledged => closed
2014-10-22 19:32 DenisChenu Assigned To => mfaber
2014-10-22 19:32 DenisChenu Resolution open => duplicate


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker